/*
 * ============LICENSE_START=======================================================
 *  Copyright (C) 2021 AT&T Intellectual Property. All rights reserved.
 *  ================================================================================
 *  Licensed under the Apache License, Version 2.0 (the "License");
 *  you may not use this file except in compliance with the License.
 *  You may obtain a copy of the License at
 *
 *        http://www.apache.org/licenses/LICENSE-2.0
 *  Unless required by applicable law or agreed to in writing, software
 *  distributed under the License is distributed on an "AS IS" BASIS,
 *  WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 *  See the License for the specific language governing permissions and
 *  limitations under the License.
 *
 *  SPDX-License-Identifier: Apache-2.0
 *  ============LICENSE_END=========================================================
 */
package org.openecomp.sdc.be.config;

import org.junit.jupiter.api.Test;

import static org.junit.Assert.assertEquals;
import static org.junit.jupiter.api.Assertions.assertTrue;

public class NonManoFolderTypeTest {

    @Test
    public void getPathTest() {
        NonManoFolderType instance = new NonManoFolderType();
        instance.setType("type");
        instance.setLocation("location");
        assertEquals("Artifacts/type/location", instance.getPath());
    }

    @Test
    public void isValidTest() {
        NonManoFolderType instance = new NonManoFolderType();
        instance.setType("type");
        instance.setLocation("location");
        assertTrue(instance.isValid());
    }
}